View Issue Details

IDProjectCategoryView StatusLast Update
0002353SOGoWeb Calendarpublic2013-10-10 09:42
ReporterAlain Abbas Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.6 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002353: Cant create a task in another calendar than the first one
Description

create a task
select another calendar than the default one
save the task
the task goes always in the first calendar

Same thing in modification

Additional Information

runs well with lightning

TagsNo tags attached.

Relationships

has duplicate 0002383 closed Creating tasks in other users' calendars produces unexpected results 
has duplicate 0002364 closedfrancis We have to select the calendar "before" to click on "New task" button 

Activities

Christian Mack

Christian Mack

2013-08-12 05:02

developer   ~0005883

How to reproduce:
1) Select your personal calendar in the list of calendars on the left side.
2) Press "New Task"
3) Change the "Calendar:" field to some other calendar, you have write access to.
4) Press "Save and Close"

What you expect:
New task should be in "some other calendar".

What you get:
New task is in personal calendar.

ludovic

ludovic

2013-08-12 08:44

administrator   ~0005890

Ok, I can reproduce it. If you select first the right calendar (from the left pane), it works correctly though.

francis

francis

2013-09-12 16:34

administrator   ~0005989

Fixed.

See https://github.com/inverse-inc/sogo/commit/24c0fb1cc458b54bdc7f40bb3b0efdc8f15e0300

Issue History

Date Modified Username Field Change
2013-06-24 14:25 Alain Abbas New Issue
2013-07-31 05:04 Christian Mack Relationship added child of 0002383
2013-07-31 05:04 Christian Mack Relationship replaced has duplicate 0002383
2013-08-12 05:02 Christian Mack Note Added: 0005883
2013-08-12 08:44 ludovic Note Added: 0005890
2013-08-12 08:44 ludovic Target Version => 2.1.0
2013-09-11 11:11 francis Status new => assigned
2013-09-11 11:11 francis Assigned To => francis
2013-09-12 16:34 francis Note Added: 0005989
2013-09-12 16:34 francis Status assigned => resolved
2013-09-12 16:34 francis Fixed in Version => 2.1.0
2013-09-12 16:34 francis Resolution open => fixed
2013-10-10 08:22 Christian Mack Relationship added related to 0002364
2013-10-10 09:42 francis Relationship replaced has duplicate 0002364